import { Component, Input, OnInit } from '@angular/core'

@Component({
	// eslint-disable-next-line @angular-eslint/component-selector
	selector: 'sui-horizontal-divide',
	templateUrl: './horizontal-divide.component.html'
})
export class SuiHorizontalDivideComponent implements OnInit {
	@Input() size: string = ''

	calculateHeight(size: string) {
		if (size == 'xx-small') {
			return 'h-1'
		} else if (size == 'x-small') {
			return 'h-2'
		} else if (size == 'small') {
			return 'h-3'
		} else if (size == 'medium') {
			return 'h-4'
		} else if (size == 'large') {
			return 'h-6'
		} else if (size == 'x-large') {
			return 'h-8'
		} else if (size == 'largest') {
			return 'h-10'
		} else {
			return 'h-4'
		}
	}

	constructor() {}

	ngOnInit(): void {}
}
